#!/bin/sh
config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

for FILE in etc/mol/*.new ; do
	config $FILE
done
( cd usr/bin ; rm -rf startmol )
( cd usr/bin ; ln -sf /usr/lib/mol/0.9.73/bin/startmol startmol )
( cd usr/bin ; rm -rf molrcget )
( cd usr/bin ; ln -sf /usr/lib/mol/0.9.73/bin/molrcget molrcget )
